import type { InternalOptions } from "../../lib/types";
import type { OutgoingResponse } from "..";
import type { Session, User } from "../..";
import type { SessionStore } from "../lib/cookie";
interface SessionParams<M extends "POST" | undefined> {
    method?: M;
    user?: M extends "POST" ? Partial<User> : never;
    options: InternalOptions;
    sessionStore: SessionStore;
}
/**
 * Return a session object (without any private fields)
 * for Single Page App clients
 */
export default function session<M extends "POST" | undefined = undefined>(params: SessionParams<M>): Promise<OutgoingResponse<Session | {}>>;
export {};
